%define major 4.3

Name: dasher
Version: %major.3
Release: alt0.1.1

Summary: Predictive text entry application

Packager: Vitaly Lipatov <lav@altlinux.ru>

License: GPL
Group: Office
#Group: Desktop/Accessibility
Url: http://www.inference.phy.cam.ac.uk/dasher/

Source: http://ftp.gnome.org/pub/GNOME/sources/%name/%major/%name-%version.tar.bz2
Patch: %name-4.3.3.patch

Requires(post,postun): scrollkeeper
BuildPreReq: menu-devel

BuildPreReq: gnome-doc-utils

# Automatically added by buildreq on Mon Jun 25 2007
BuildRequires: docbook-dtds gcc-c++ GConf gnome-doc-utils-xslt libat-spi-devel libavahi-glib libdbus-glib libexpat-devel libgnomeui-devel libSM-devel libXtst-devel perl-XML-Parser

%description
Dasher is an information-efficient text-entry interface, driven by
natural continuous pointing gestures. Dasher is a competitive
text-entry system wherever a full-size keyboard cannot be used - for
example, on a palmtop computer; on a wearable computer; when operating
a computer one-handed, by joystick, touchscreen, trackball, or mouse;
when operating a computer with zero hands (i.e., by head-mouse or by
eyetracker). The eyetracking version of Dasher allows an experienced
user to write text as fast as normal handwriting - 25 words per
minute; using a mouse, experienced users can write at 39 words per
minute.

%prep
%setup -q
%patch -p0

%build
%__autoreconf
#export CXXFLAGS=-export-dynamic
%configure --disable-schemas-install --disable-scrollkeeper \
	--with-gnome \
	--with-speech \
	--with-a11y

%make

%install
%makeinstall
#%__install -D -m 644 Data/dasher.schemas %buildroot%{_sysconfdir}/gconf/schemas/%name.schemas

rm -rf %buildroot/var/lib/scrollkeeper

%find_lang %name --with-gnome

%post
%update_scrollkeeper
%update_menus

%postun
%clean_scrollkeeper
%clean_menus

%files -f %name.lang
%doc AUTHORS ChangeLog MAINTAINERS README Doc/Colourschemes
%_bindir/*
%_datadir/%name
%_desktopdir/%name.desktop
%_datadir/icons/hicolor/48x48/apps/dasher.png
%_datadir/icons/hicolor/scalable/apps/dasher.svg
%_man1dir/*
#%_sysconfdir/gconf/schemas/*

%changelog
* Mon Jun 25 2007 Igor Zubkov <icesik@altlinux.org> 4.3.3-alt0.1.1
- little spec clean and fixes for (re)building

* Sat Dec 30 2006 Vitaly Lipatov <lav@altlinux.ru> 4.3.3-alt0.1
- new version 4.3.3 (with rpmrb script)

* Sun Sep 10 2006 Vitaly Lipatov <lav@altlinux.ru> 4.2.0-alt0.1
- new version 4.2.0
- remove obsoleted files, debian menu
- update buildreqs

* Tue Feb 21 2006 Vitaly Lipatov <lav@altlinux.ru> 3.99.4-alt0.1
- new version (3.99.4)
- cleanup spec

* Fri Dec 31 2004 Vitaly Lipatov <lav@altlinux.ru> 3.2.11-alt1
- fix export-dynamic for glade
- add menu
- fix postun section

* Sun Nov 07 2004 Vitaly Lipatov <lav@altlinux.ru> 3.2.11-alt0.1
- first build for ALT Linux Sisyphus

